Update enrollment
curl --request PATCH \
--url https://app.msportal.ai/api/public/v1/training/enrollments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"progress": 50,
"score": 50,
"dueDate": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://app.msportal.ai/api/public/v1/training/enrollments/{id}"
payload = {
"progress": 50,
"score": 50,
"dueDate": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({progress: 50, score: 50, dueDate: '2023-11-07T05:31:56Z'})
};
fetch('https://app.msportal.ai/api/public/v1/training/enrollments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"course": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"courseType": "<string>"
},
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fullName": "<string>",
"email": "<string>"
},
"progress": 50,
"score": 123,
"enrolledAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"timeSpentSeconds": 123,
"certificateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Training
Update enrollment
Update enrollment progress, status, or score.
PATCH
/
api
/
public
/
v1
/
training
/
enrollments
/
{id}
Update enrollment
Authorizations
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Path Parameters
Enrollment ID
Body
application/json
Response
Enrollment updated
Show child attributes
Show child attributes
Was this page helpful?
⌘I